#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.6
visibility:           public
id:                   kan-extensions-5.2.6-7qXcsd3qUYiJpb4ZQ8U9xn
key:                  kan-extensions-5.2.6-7qXcsd3qUYiJpb4ZQ8U9xn
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  33823f10c72db76e2561e0a6700d94d5
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.2.8/site-local/kan-extensions-5.2.6
library-dirs:         /usr/lib/ghc-9.2.8/site-local/kan-extensions-5.2.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-kan-extensions
hs-libraries:         HSkan-extensions-5.2.6-7qXcsd3qUYiJpb4ZQ8U9xn
depends:
    adjunctions-4.4.2-7KxU6iX0rSlDDuyTAaw2TR array-0.5.4.0
    base-4.16.4.0 comonad-5.0.8-21PlzLkOg7nId3i8vYrrqh
    containers-0.6.5.1 contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    distributive-0.6.2.1-Kxj5MwJZGx35rQbHU8vD5D
    free-5.2-Hd35MELMATv3ZZqiJlelay
    invariant-0.6.3-9pd5TPnIEdJHUqcnixlanA mtl-2.2.2
    profunctors-5.6.2-HtLvwtSpPPREf3FPuKFOzH
    semigroupoids-5.3.7-FvvNHk7UKJ3E99Kg3kwSzT
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

